Subject: Re: [PATCH v6 04/13] merge-one-file: rewrite in C

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Jan 2021 22:54:10 -0800

Alban Gruin <[email-masked]> writes:

>> If we were to do that, then I do not mind the repetition of 0, 1, 1
>> too much.

Sorry, I think we will not need to see repetition of "0, 1, 1" if we
take the route I outlined above.

> Okay.  Are we sure we want add_merge_result_to_index() inside
> read-cache.c/cache.h?

I wouldn't be surprised if you can find a better place, so please
try to see if there is one.  If the only user ends up being the
merge-one-file itself and nobody else, then it may be a better
place.  Or perhaps merge-strategies.c turns out to be a better place
if other parts of the merge machinery can reuse it.

Thanks.